## org.apache.hadoop.hive.jdbc
Class JdbcColumn

    java.lang.Object
      org.apache.hadoop.hive.jdbc.JdbcColumn

    public class JdbcColumn

extends Object

Column metadata.

Method Summary
`String` `getColumnName()`
`Integer` `getColumnSize()`
`String` `getComment()`
`Integer` `getDecimalDigits()`
`Integer` `getNumPrecRadix()`
`int` `getOrdinalPos()`
`Integer` `getSqlType()`
`String` `getTableCatalog()`
`String` `getTableName()`
`String` `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getColumnName

    public String getColumnName()

### getTableName

    public String getTableName()

### getTableCatalog

    public String getTableCatalog()

### getType

    public String getType()

### getSqlType

    public Integer getSqlType()
                       throws SQLException

  Throws:
    `SQLException`

### getColumnSize

    public Integer getColumnSize()
                          throws SQLException

  Throws:
    `SQLException`

### getDecimalDigits

    public Integer getDecimalDigits()
                             throws SQLException

  Throws:
    `SQLException`

### getNumPrecRadix

    public Integer getNumPrecRadix()

### getComment

    public String getComment()

### getOrdinalPos

    public int getOrdinalPos()

Copyright © 2014 The Apache Software Foundation. All rights reserved.